#!usr/bin/python3
""" All constant values over the whole app"""

# CONSTANTS FOR ALL COMPONENTS IN THE APP
APP_DATE_FORMAT = "%d/%m/%Y"
DATAFRAME_DATE_FORMAT = "%Y-%m-%d %H:%M:%S"

# HEADERS and COLUMNS
HEADER_NAME_TENANT_ID = "TENANT_ID"
HEADER_NAME_ORG_ID = "ORG_ID"
# --QUERIES
QUERY_NAME_STRESS_SCENE_ID = "SCENE_ID"
QUERY_NAME_SCENARIO_ANALYSIS_ID = "SCENARIO_ID"


# SERVICE COMMON
PARAMETER_NAME_USER_ID = "userID"
PARAMETER_NAME_CATEGORY_ID = "CAT_ID"

# ENTITY COMMON
ENTITY_FIELD_NAME_SEQUENCE_ID = "seqID"

# DATABASE TAGS
PF_HEALTH_DATABASE = "pf-health-db"
MARKET_DATA_DATABASE = "market-data_db"

# EXTERNAL SERVICES
MODEL_PORTFOLIO_SERVICE = "modelPfService"
MARKET_DATA_SERVICE = "marketDataService"
USER_DATA_SERVICE = "userDataService"

# EXTERNAL SERVICES PATHS
EXTERNAL_URL_BASE_PATH = "baseURL"
ASSET_LIST_PATH = "assetListPath"
CATEGORY_LIST_PATH = "categoryPath"
PORTFOLIO_LIST_PATH = "portfolioPath"
TICKER_PATH = "tickerPath"
HISTORY_PATH = "historyPath"
USER_INFO_PATH = "userInfoPath"

# CALCULATION FIELDS - PRICE GENERATORS
PORTFOLIO_CALCULATION_FIELDS = ["date", "close"]
PRICE_CALC_INDEX = ["date"]
PORTFOLIO_CALC_FIELD = "close"
CALCULATION_FIELD_NAME = "weightedClose"

# UNREGISTERED/UPLOADED DATA
UNREGISTERED_PORTFOLIO_PREFIX = "UPF"
UNREGISTERED_BENCHMARK_PREFIX = "UBM"

# CALCULATION FOR USAGE
DATAFRAME_DATE_COLUMN_NAME = "date"
DATAFRAME_PRICE_COLUMN_NAME = "price"

# STRESS TEST USAGE
STRESS_PF_RETURN_PERCENTAGE = "PfReturn"
STRESS_BM_RETURN_PERCENTAGE = "BmReturn"

# ID GENERATION INDEX
REPORT_IDENTITY_PREFIX = "RPT"

# ID-INDEXES
MODEL_PORTFOLIO_PREFIX = "MPF"
CUSTOMER_PORTFOLIO_PREFIX = "CPF"
MODEL_BENCHMARK_PREFIX = "MBK"
